
package de.frankmuenster.hibiscus.mahoe.bsh.json.accountdetails;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;

/**
 * Vertragdetails - Assignemtgoal
 *
 * @author Frank Mnster
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder({ "text" })
public class AssignmentGoal {

    /**
     * Text
     */
    @JsonProperty("text")
    private String text;

    /**
     * Standardkonstruktor
     */
    public AssignmentGoal() {
	// Absichtlich leer
    }

    /**
     * Liefert den Text
     *
     * @return den Text
     */
    @JsonProperty("text")
    public String getText() {

	return this.text;
    }

}
