package de.frankmuenster.hibiscus.mahoe.gui.utils;

import org.eclipse.swt.widgets.TabFolder;

import de.frankmuenster.hibiscus.mahoe.gui.controller.AktienSettingsController;
import de.frankmuenster.hibiscus.mahoe.gui.controller.SettingsController;
import de.frankmuenster.hibiscus.mahoe.gui.parts.AktienSettingsPart;
import de.willuhn.jameica.gui.util.TabGroup;

/**
 * @author Frank Mnster
 */
public class AktienSettingsTabGroup extends AbstractSettingsTabGroup implements SettingsTabGroup<SettingsController> {

    /**
     * Erstellt einen Aktien-Einstellungs-Tab.
     *
     * @param tabFolder
     *            der SWT TabFolder in dem der Tab erstellt werden soll.
     */
    public AktienSettingsTabGroup(final TabFolder tabFolder) {
        super(new AktienSettingsController());
        final TabGroup tabGroup = new TabGroup(tabFolder, "Aktien-Wertpapiere"); //$NON-NLS-1$
        tabGroup.addPart(new AktienSettingsPart((AktienSettingsController) this.control));
    }
}
