package de.frankmuenster.hibiscus.mahoe.gui.utils;

import org.eclipse.swt.widgets.TabFolder;

import de.frankmuenster.hibiscus.mahoe.gui.controller.SantanderSettingsController;
import de.frankmuenster.hibiscus.mahoe.gui.controller.SettingsController;
import de.frankmuenster.hibiscus.mahoe.gui.parts.SantanderSettingsPart;
import de.willuhn.jameica.gui.util.TabGroup;

/**
 * @author Frank Mnster
 */
public class SantanderSettingsTabGroup extends AbstractSettingsTabGroup
        implements SettingsTabGroup<SettingsController> {

    /**
     * Erstellt einen Santander-Einstellungs-Tab.
     *
     * @param tabFolder
     *            der SWT TabFolder in dem der Tab erstellt werden soll.
     */
    public SantanderSettingsTabGroup(final TabFolder tabFolder) {
        super(new SantanderSettingsController());
        final TabGroup tabGroup = new TabGroup(tabFolder, "Santander Bank"); //$NON-NLS-1$
        tabGroup.addPart(new SantanderSettingsPart((SantanderSettingsController) this.control));
    }
}
