/*******************************************************************************
 * Copyright 2018 fmCreation
 *  
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald diese von der
 * Europischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie drfen dieses Werk ausschlielich gem dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 * 
 *   https://progs.frankmuenster.de/eupl_v1-2_de
 * 
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschrnkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 ******************************************************************************/

package de.frankmuenster.hibiscus.mahoe.assistant;

/**
 * Fehlerklasse des Anlagenassistenten
 *
 * @author Frank Mnster
 */
public class CreateAccountException extends Exception {

    /**
     * 
     */
    private static final long serialVersionUID = -5849673924905728147L;

    /**
     * Neue Exception mit Text
     * 
     * @param text
     */
    public CreateAccountException(final String text) {
        super(text);
    }

    /**
     * Neue Exception mit Text und Cause
     * 
     * @param text
     * @param cause
     */
    public CreateAccountException(final String text, final Throwable cause) {
        super(text, cause);
    }

}
