/*******************************************************************************
 * Copyright 2018 fmCreation
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald diese von der
 * Europischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie drfen dieses Werk ausschlielich gem dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   https://progs.frankmuenster.de/eupl_v1-2_de
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschrnkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 ******************************************************************************/

package de.frankmuenster.hibiscus.mahoe.bcee;

import de.frankmuenster.hibiscus.mahoe.utils.BankToAdd;

/**
 * BCEE
 *
 * @author Frank Mnster
 */
@BankToAdd(blz = Bcee.BLZ, name = Bcee.NAME)
public class Bcee { // NOPMD

    /**
     * BCEE-Bank Name
     */
    public static final String NAME = "BCEE"; //$NON-NLS-1$

    /**
     * FAKE BCEE-Bank BLZ
     */
    public static final String BLZ = "001"; //$NON-NLS-1$

    /**
     * BCEE-Bank BIC
     */
    public static final String BIC = "BCEELULLXXX"; //$NON-NLS-1$

    /**
     * BCEE-Bank Login URL
     */
    public static final String URL_LOGIN = "https://bcee.snet.lu/ssogate/xlogin"; //$NON-NLS-1$

    /**
     * BCEE-Bank Home URL
     */
    public static final String URL_HOME = "https://bcee.snet.lu/SNET4"; //$NON-NLS-1$

    /**
     * BCEE-Bank Logout URL
     */
    public static final String URL_LOGOUT = "https://bcee.snet.lu/SNET3/Connection/Logoff"; //$NON-NLS-1$

    /**
     * BCEE-Bank Kontobersicht URL
     */
    public static final String URL_UEBERSICHT = "https://bcee.snet.lu/SNET4"; //$NON-NLS-1$

    /**
     * BCEE-Bank Eurotransfer URL
     */
    public static final String URL_EURO_TRANSFER = "https://bcee.snet.lu/SNET3/Payments/EuroTransfers"; //$NON-NLS-1$

    /**
     * Standardkonstruktor
     */
    private Bcee() {
	// absichtlich leer
    }
}
