
package de.frankmuenster.hibiscus.mahoe.bsh.json;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * Antwort der Logoff REST Anfrage
 *
 * @author Frank Mnster
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class LogoffResponse extends BshResponse implements IBshResponse {

    /**
     * Details
     */
    @JsonProperty("data")
    private Object data;

    /**
     * Standardkonstruktor
     */
    public LogoffResponse() {
	super();
    }

    /**
     * Logoff-Detais
     *
     * @return die Logoff Details.
     */
    public Object getDetails() {

	return this.data;
    }
}
