
package de.frankmuenster.hibiscus.mahoe.gui.actions;

import de.frankmuenster.hibiscus.mahoe.gui.views.LicenseView;
import de.willuhn.jameica.gui.Action;
import de.willuhn.jameica.gui.GUI;
import de.willuhn.util.ApplicationException;

/**
 * Action handler fr das ffnen einer Lizenz-View Implements
 * {@link de.willuhn.jameica.gui.Action}
 *
 * @author Frank Mnster
 * @version 1.0
 */
public class ViewLicenseAction implements Action {

    /**
     * Standardkonstruktor
     */
    public ViewLicenseAction() {
        // absichtlich leer
    }

    /**
     * @see de.willuhn.jameica.gui.Action#handleAction(java.lang.Object)
     */
    @Override
    public void handleAction(final Object context) throws ApplicationException {

        GUI.startView(LicenseView.class, null);

    }

}
