
package de.frankmuenster.hibiscus.mahoe.gui.controller;

import de.willuhn.jameica.hbci.gui.input.KontoInput;

/**
 * Interface fr den SettingsController einer Bank
 *
 * @author Frank Mnster
 */
public interface SettingsController {

    /**
     * Liefert das ausgewhlte Konto
     *
     * @return das KontoInput
     */
    KontoInput getKonto();

    /**
     * Speichert die aktuellen Einstellungen im Settings Objekt.
     */
    void speichern();
}
