
package de.frankmuenster.hibiscus.mahoe.utils.pdfsaver;

/**
 * PDF Erstellungsfehler-Typen
 *
 * @author Frank Mnster
 */
public enum PdfSaverExceptionTyp {

    /**
     * Ordnername existiert schon als Datei
     */
    FOLDER_IS_FILE,

    /**
     * Ordner konnte nicht erstellt werden
     */
    FOLDER_CREATE_ERROR,

    /**
     * Webseite mit den Kontoauszgen wurde nicht gefunden
     */
    PDFSITE_NOT_FOUND,

}
