
package de.frankmuenster.hibiscus.mahoe.web;

/**
 * Die Fehlertypen der WebsieException
 *
 * @author Frank Mnster
 */
public enum WebSiteExceptionTypes {

    /**
     * Webseite ist nicht erreichbar
     */
    WEBSITE_NOT_REACHABLE,

    /**
     * Fehler whrend des Logins, anders als Benutzername/Passwort falsch.
     */
    LOGIN_ERROR,

    /**
     * Der Login ist fehlgeschlagen
     */
    LOGIN_FAILED,

    /**
     * 
     */
    HTTP_STATUS_CODE,
    /**
     * 
     */
    KONTO_NOT_FOUND,
    /**
     *
     */
    READ_ACCOUNT_DETAILS_FAILED,
    /**
     * 
     */
    PAGE_NOT_FOUND,
    /**
     * Der Dienst ist derzeit nicht verfgbar.
     */
    SERVICE_UNAVAILABLE,
    /**
     * Das Abmelden ist fehlgeschlagen.
     */
    LOGOFF_FAILED,
    /**
     * Ein Fehler ist beim der berprfung der berweisung aufgetreten
     */
    TRANSFER_FAILED,
    /**
     * Ein Fehler ist beim endgltigen Absenden der berweisung aufgetreten
     */
    FINAL_TRANSFER_FAILED,

}
